Package org.springframework.security.authentication.jaas.event

# Class JaasAuthenticationSuccessEvent

java.lang.Object
java.util.EventObject
org.springframework.context.ApplicationEvent
org.springframework.security.authentication.jaas.event.JaasAuthenticationEvent
org.springframework.security.authentication.jaas.event.JaasAuthenticationSuccessEvent

All Implemented Interfaces:
  `Serializable`

public class JaasAuthenticationSuccessEvent extends JaasAuthenticationEvent
Fired by the `JaasAuthenticationProvider` after successfully logging the user into the LoginContext, handling all callbacks, and calling all AuthorityGranters.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`JaasAuthenticationSuccessEvent(Authentication auth)`

## Method Summary

### Methods inherited from class org.springframework.security.authentication.jaas.event.JaasAuthenticationEvent

`getAuthentication`

### Methods inherited from class org.springframework.context.ApplicationEvent

`getTimestamp`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JaasAuthenticationSuccessEvent

public JaasAuthenticationSuccessEvent(Authentication auth)